cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Migration Question from 7.0 to 7.1

Babar_Qayyum
Leader

Dear All,

We need your input about the below statement which we have seen first time in the migration documentation e.g.

Disable automatic agent updates during upgrade: If you are running AppMon 7.0 or older, automatic agent updates need to be disabled during the upgrade.

What could be the reason behind this especially when your all platforms and components are supported by the new release?

Did anyone face any unexpected situation while migrating/upgrading without disabling the automatic agent updates?

https://www.dynatrace.com/support/doc/appmon/insta...

Regards,

Babar


3 REPLIES 3

david_n
Inactive

Hello Babar,

I believe that is to give you control over which agents you want to upgrade and when you want to upgrade them. As you see in this link later on in the upgrade documentation it talks about bootstrapped and non-bootstrapped agents and how to go about upgrading each set.

https://www.dynatrace.com/support/doc/appmon/installation/upgrade-and-migration-guide/upgrade-agents/

I believe that if your agents are compatible with version 7.1 you should be fine to leave them bootstrapped as long as you don't restart them until you have your 7.1 collectors manually installed/upgraded.

Hope that helps,

David Nicholls


Hello @David N.

This control we have since 6.2 release, therefore, I asked that why this time the statement 'Disable automatic agent updates during upgrade' included precisely in the migration documentation.

Regards,

Babar


roman_granitzer
Dynatrace Helper
Dynatrace Helper

Hi Babar,

I am not aware why this should be done as preparation of an upgrade. Therefore I opened an internal ticket to clarify this and maybe create a more precise documentation on this part.

Best regards,Roman